Overview
POST
/integration/integration-social-notificationsintegrationCreate integration_social_notifications
Create a record in integration-social-notifications.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- notificationTypestring
- titleoptionalstring?
- bodyoptionalstring?
- authorHandleoptionalstring?
- authorDisplayNameoptionalstring?
- itemUrloptionalstring?
- isReadoptionalboolean
- isDeletedoptionalboolean
- externalCreatedAtoptionalstring?
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"notificationType": "string",
"title": "string",
"body": "string",
"authorHandle": "string",
"authorDisplayName": "string",
"itemUrl": "string",
"isRead": true,
"isDeleted": true,
"externalCreatedAt": "string"
}Responses
201
integration_social_notifications
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- notificationTypestring
- titlestring?
- bodystring?
- authorHandlestring?
- authorDisplayNamestring?
- itemUrlstring?
- isReadboolean
- isDeletedboolean
- syncVersioninteger
- externalCreatedAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"notificationType": "string",
"title": "string",
"body": "string",
"authorHandle": "string",
"authorDisplayName": "string",
"itemUrl": "string",
"isRead": true,
"isDeleted": true,
"syncVersion": 0,
"externalCreatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/integration/integration-social-notifications" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"notificationType": "string",
"title": "string",
"body": "string",
"authorHandle": "string",
"authorDisplayName": "string",
"itemUrl": "string",
"isRead": true,
"isDeleted": true,
"externalCreatedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-social-notifications", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"connectionId\": \"string\",\n \"externalId\": \"string\",\n \"sourceProvider\": \"string\",\n \"notificationType\": \"string\",\n \"title\": \"string\",\n \"body\": \"string\",\n \"authorHandle\": \"string\",\n \"authorDisplayName\": \"string\",\n \"itemUrl\": \"string\",\n \"isRead\": true,\n \"isDeleted\": true,\n \"externalCreatedAt\": \"string\"\n}",
});
const data = await res.json();